Package twisted :: Package python :: Module observable :: Class Hash

[show private | hide private]
[frames | no frames]

## Class Hash

    Observable --+
                 |
                Hash

Method Summary
| `__init__(self, properties)`
| `__delitem__(self, key)`
| `__getitem__(self, key)`
| `__len__(self)`
| `__repr__(self)`
| `__setitem__(self, key, val)`
| ``addObserver`(self, observer)` Observable.addObserver(observer) Add a method which will be called when this observer's notify() is executed.
| `has_key(self, key)`
| `items(self)`
| `keys(self)`
| ``notify`(self, *rgs)` Observable.notify(*rgs) call all observers of this observable with (self,)+rgs (inherited from `Observable`)
| ``removeObserver`(self, observer)` Observable.removeObserver(observer) Remove a previously-added method would have been called when this observer's notify() was executed (inherited from `Observable`)
| `tell(self, observer, targs)`
| `update(self, dict)`
| `values(self)`

Method Details

### addObserver(self, observer)

Observable.addObserver(observer) Add a method which will be called when this observer's notify() is executed.

  Overrides:
    `twisted.python.observable.Observable.addObserver` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net